[package]
name = "twg-rust"
description = """
The Rust code generator plugin. It supports the Rust editiona and the 2 latest version of Rust.

It supports generating most types of projects, as long as they can be build using the following technology/libraries (as the tools matures, others will be added).

* CGI (Web)
* Clap (CLI)
* Iced (GUI)
* Ratatui (TUI)
* Rocket (Web)
* Slint (GUI)
* thiserror (Error Reporting)
* Tokio (Async)
* Winnow (Parsing)
* Yew (Web/WebAssembly)
"""

version = "0.0.1"
edition = "2021"
license = "GPL-3.0-or-later AND GFDL-1.3-or-later"

authors = [
    "Roel Sergeant <rsergeant@panix.com>"
]

[dependencies]
clap = { version = "4.4", features = [ "derive" ] }
